Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXRootPane.XRootLayout

    java.lang.Object
      org.jdesktop.swingx.JXRootPane.XRootLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2, java.io.Serializable

Enclosing class:
  JXRootPane

    protected class JXRootPane.XRootLayout

extends java.lang.Object

An extended `RootLayout` offering support for managing the status bar.

Author:
  Karl George Schaefer, Jeanette Winzenberg
See Also:
  Serialized Form

Constructor Summary
`protected` | `JXRootPane.XRootLayout()`

Method Summary
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `maximumLayoutSize(java.awt.Container target)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `setLayoutManager(java.awt.LayoutManager2 delegate)` The layout manager backing this manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXRootPane.XRootLayout

    protected JXRootPane.XRootLayout()

Method Detail

### setLayoutManager

    public void setLayoutManager(java.awt.LayoutManager2 delegate)

  The layout manager backing this manager. The delegate is used to calculate the size when the UI handles the window decorations.

  Parameters:
    `delegate` - the backing manager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Specified by:
    `maximumLayoutSize` in interface `java.awt.LayoutManager2`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.